package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapStatusKemandirian_T")
public class PapStatusKemandirian extends BaseTransaction{

	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasien registrasiPelayananPasien;	
	
	@Column(name = "ObjectRegistrasiPelayananPasienFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String registrasiPelayananPasienId;

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectEkstremitasAtasFk")
	@NotNull(message = "ekstremitasAtas tidak boleh kosong")
	private GenericView ekstremitasAtas;

	@Column(name = "ObjectEkstremitasAtasFk", insertable = false, updatable = false)
	private Integer ekstremitasAtasId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectEkstremitasBawahFk")
	@NotNull(message = "ekstremitasBawah tidak boleh kosong")	
	private GenericView ekstremitasBawah;
	
	@Column(name = "ObjectEkstremitasAtasFk", insertable = false, updatable = false)
	private Integer ekstremitasBawahId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectBatangTumbuhFk")
	@NotNull(message = "batangTumbuh tidak boleh kosong")
	private GenericView batangTumbuh;

	@Column(name = "ObjectBatangTumbuhFk", insertable = false, updatable = false)
	private Integer batangTumbuhId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectMakananFk")
	@NotNull(message = "Makanan tidak boleh kosong")
	private GenericView makanan;

	@Column(name = "ObjectMakananFk", insertable = false, updatable = false)
	private Integer makananId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectJalanKakiFk")
	@NotNull(message = "jalanKaki tidak boleh kosong")
	private GenericView jalanKaki;

	@Column(name = "ObjectJalanKakiFk", insertable = false, updatable = false)
	private Integer jalanKakiId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKursiRodaAtasFk")
	@NotNull(message = "kursiRoda tidak boleh kosong")
	private GenericView kursiRoda;

	@Column(name = "ObjectKursiRodaAtasFk", insertable = false, updatable = false)
	private Integer kursiRodaId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectBergulingFk")
	@NotNull(message = "kursiRoda tidak boleh kosong")
	private GenericView berguling;

	@Column(name = "ObjectBergulingFk", insertable = false, updatable = false)
	private Integer bergulingId;

	@ManyToOne
	@JoinColumn(name = "ObjectDudukFk")
	@NotNull(message = "duduk tidak boleh kosong")
	private GenericView duduk;

	@Column(name = "ObjectDudukFk", insertable = false, updatable = false)
	private Integer dudukId;

	@ManyToOne
	@JoinColumn(name = "ObjectWajahRambutTanganFk")
	@NotNull(message = "wajahRambutTangan tidak boleh kosong")
	private GenericView wajahRambutTangan;

	@Column(name = "ObjectWajahRambutTanganFk", insertable = false, updatable = false)
	private Integer wajahRambutTanganId;

	@ManyToOne
	@JoinColumn(name = "ObjectBatangTumbuhDanPerineumFk")
	@NotNull(message = "batangTumbuhDanPerineum tidak boleh kosong")
	private GenericView batangTumbuhDanPerineum;

	@Column(name = "ObjectBatangTumbuhDanPerineumFk", insertable = false, updatable = false)
	private Integer batangTumbuhDanPerineumId;

	@ManyToOne
	@JoinColumn(name = "ObjectTraktusDigestivusFk")
	@NotNull(message = "traktusDigestivus tidak boleh kosong")
	private GenericView traktusDigestivus;

	@Column(name = "ObjectTraktusDigestivusFk", insertable = false, updatable = false)
	private Integer traktusDigestivusId;

	@ManyToOne
	@JoinColumn(name = "ObjectUrinariusFk")
	@NotNull(message = "urinarius tidak boleh kosong")
	private GenericView urinarius;
	
	@Column(name = "ObjectUrinariusFk", insertable = false, updatable = false)
	private Integer urinariusId;

	public RegistrasiPelayananPasien getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}
	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasien registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}
	public Pasien getPasien() {
		return pasien;
	}
	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}
	public Date getTglInput() {
		return tglInput;
	}
	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	public GenericView getEkstremitasAtas() {
		return ekstremitasAtas;
	}
	public void setEkstremitasAtas(GenericView ekstremitasAtas) {
		this.ekstremitasAtas = ekstremitasAtas;
	}
	public GenericView getEkstremitasBawah() {
		return ekstremitasBawah;
	}
	public void setEkstremitasBawah(GenericView ekstremitasBawah) {
		this.ekstremitasBawah = ekstremitasBawah;
	}
	public GenericView getBatangTumbuh() {
		return batangTumbuh;
	}
	public void setBatangTumbuh(GenericView batangTumbuh) {
		this.batangTumbuh = batangTumbuh;
	}
	public GenericView getMakanan() {
		return makanan;
	}
	public void setMakanan(GenericView makanan) {
		this.makanan = makanan;
	}
	public GenericView getJalanKaki() {
		return jalanKaki;
	}
	public void setJalanKaki(GenericView jalanKaki) {
		this.jalanKaki = jalanKaki;
	}
	public GenericView getKursiRoda() {
		return kursiRoda;
	}
	public void setKursiRoda(GenericView kursiRoda) {
		this.kursiRoda = kursiRoda;
	}
	public GenericView getBerguling() {
		return berguling;
	}
	public void setBerguling(GenericView berguling) {
		this.berguling = berguling;
	}
	public GenericView getDuduk() {
		return duduk;
	}
	public void setDuduk(GenericView duduk) {
		this.duduk = duduk;
	}
	public GenericView getWajahRambutTangan() {
		return wajahRambutTangan;
	}
	public void setWajahRambutTangan(GenericView wajahRambutTangan) {
		this.wajahRambutTangan = wajahRambutTangan;
	}
	public GenericView getBatangTumbuhDanPerineum() {
		return batangTumbuhDanPerineum;
	}
	public void setBatangTumbuhDanPerineum(GenericView batangTumbuhDanPerineum) {
		this.batangTumbuhDanPerineum = batangTumbuhDanPerineum;
	}
	public GenericView getTraktusDigestivus() {
		return traktusDigestivus;
	}
	public void setTraktusDigestivus(GenericView traktusDigestivus) {
		this.traktusDigestivus = traktusDigestivus;
	}
	public GenericView getUrinarius() {
		return urinarius;
	}
	public void setUrinarius(GenericView urinarius) {
		this.urinarius = urinarius;
	}
	
	
}
